Bug 456240 - OpenIPMI's ipmievd daemon fails to see new events.
OpenIPMI's ipmievd daemon fails to see new events.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI (Show other bugs)
5.2
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Phil Knirsch
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 09:30 EDT by Olivier Fourdan
Modified: 2015-03-04 20:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* The ipmievd, under certain conditions, did not log any new messages to the SEL buffer, which could include possible critical messages. In these updated OpenIPMI packages, the system administrator will be warned of the fact that ipmievd will soon be unable to log further messages, via syslog overflow messages, before the SEL buffer becomes full. In addition, if this situation has already occurred, then syslog overflow messages will be logged stating that the buffer has already become full.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:48:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to implement the functionality described (5.66 KB, patch)
2008-07-22 09:30 EDT, Olivier Fourdan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0186 normal SHIPPED_LIVE OpenIPMI bug fix and enhancement update 2009-01-20 11:05:52 EST

  None (edit)
Description Olivier Fourdan 2008-07-22 09:30:01 EDT
Description of problem:

"ipmievd" uses the count of events to detect new events.

When the SEL buffer is full, no new message are logged and critical messages may
be ignored.

Version-Release number of selected component (if applicable):

ipmitool-1.8.9

How reproducible:

100% reproducible

Steps to Reproduce:
1. Run the ipmievd
   # ipmievd -I open sel daemon
2. clear the sel:
   # ipmitool sel clear 
3. Fill-in the SEL buffer with events
   # for i in `seq 900` ; do ipmitool event `echo $(( $i % 3 +1 ))` ;  done
  
Actual results:

Once the SEL is full, IPMI will log no more

Expected results:

"ipmievd" should warn the sysadmin when the buffer becomes full so the sysadmin
can clear the SEL buffer.

Additional info:

The role of the daemon "ipmievd" is to monitor the IPMI SEL list and send
corresponding events to syslog.

If the SEL buffer become full, IPMI will stop logging new events. There is a
mechanism in the IPMI specification to help monitoring the status of the SEL
buffer and a flag that indicates when the buffer is full so that events had to
be dropped. This is part of the data returned by "Get SEL Info Command" as
defined in the IPMI 2.0 specification (section 31.2, page 386).

The attached patch improves "ipmievd" to monitor the percentage used in the SEL
buffer and log warnings when the percentage is above a 80% and every time the
percentage used increases above 80% and also log another alert syslog message
when "overflow" occurs.

1) If the percentage used is above 80% a LOG_WARNING is emitted:
   "SEL buffer used at nn%, please consider clearing the SEL buffer"
2) A new LOG_WARNING is emitted for any increase of percentage used above 80%
(eg. a new messages will be logged for 81%, 82%, ... 99%)
3) If the percentage decreases, no warning is emitted
4) If the "overflow" flag is set, a LOG_ALERT is emitted
   "SEL buffer overflow, no SEL message can be logged until the SEL buffer is
cleared"

Then it would be the sysadmin's responsibility to clear the SEL buffer (possibly
after saving the log of events to a file), but at least "ipmievd" provides a
mechanism to help diagnosing before the SEL buffer becomes full.
Comment 1 Olivier Fourdan 2008-07-22 09:30:01 EDT
Created attachment 312344 [details]
Patch to implement the functionality described
Comment 16 Ruediger Landmann 2009-01-08 19:21:05 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* The ipmievd, under certain conditions, did not log any new messages to
the SEL buffer, which could include possible critical messages. In these
updated OpenIPMI packages, the system administrator will be warned of the
fact that ipmievd will soon be unable to log further messages, via syslog
overflow messages, before the SEL buffer becomes full. In addition, if this
situation has already occurred, then syslog overflow messages will be
logged stating that the buffer has already become full.
Comment 17 errata-xmlrpc 2009-01-20 16:48:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0186.html

Note You need to log in before you can comment on or make changes to this bug.